View Issue Details

IDProjectCategoryView StatusLast Update
0003321SOGowith SOGopublic2016-02-05 12:49
Reportermboxtester Assigned Toludovic  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Product Version2.3.1 
Fixed in Version2.3.8 
Summary0003321: Folders with square brackets error
Description

When a folder with square brackets is used (like Google does it) the folder is shown within the GUI and over EAS too, but no mails are displayed in fact of the following error in the sogo log:

Aug 25 18:31:57 sogod [12593]: |SOGo| starting method 'POST' on uri '/SOGo/so/xxx@xxx.xxx/Mail/0/folder_LS_mEn_RQ__SP_Testfolder/uids'

Aug 25 18:31:57 sogod [12577]: |SOGo| starting method 'POST' on uri '/SOGo/so/xxx@xxx.xxx/Mail/0/folder_LS_mEn_RQ__SP_Testfolder/unseenCount'

Aug 25 18:31:57 sogod [12593]: [ERROR] <0x0xb862f928[NGImap4Connection]> could not select URL: imaps://xxx%40xxx.xxx@127.0.0.1/%5BmEnRQ%20Testfolder/: {RawResponse = "{ResponseResult = {description = \"Mailbox doesn't exist: [mEnRQ Testfolder\"; result = no; tagId = 1779; }; ok = {CLOSED = \"Previous mailbox closed.\"; }; }"; reason = "Mailbox doesn't exist: [mEnRQ Testfolder"; result = 0; }

Steps To Reproduce

Create a folder with square brackets :-)

TagsNo tags attached.

Activities

mboxtester

mboxtester

2015-08-25 12:49

reporter   ~0008856

Last edited: 2015-08-27 15:44

View 2 revisions

Update: Within EAS the folder AND the mails are shown.
Only on the GUI the folder isn't accessibel.

ludovic

ludovic

2016-02-04 10:42

administrator   ~0009441

https://github.com/inverse-inc/sogo/commit/24d32ae2205dc992a6f677a7ef883853dba91825

Related Changesets

sogo: v2 8baf8731

2016-02-04 05:23:02

gilcn

Details Diff
(fix) Bug 0003321: Folders with square brackets error
http://sogo.nu/bugs/view.php?id=3321
Affected Issues
0003321
mod - UI/WebServerResources/JavascriptAPIExtensions.js Diff File

sogo: v2 24d32ae2

2016-02-04 10:32:42

chicgeek

Details Diff
Merge pull request 0000196 from gilcn/SOGo-issue-0003321

(fix) Folders with square brackets error

Fixes 0003321
Affected Issues
0003321
mod - UI/WebServerResources/JavascriptAPIExtensions.js Diff File

Issue History

Date Modified Username Field Change
2015-08-25 12:35 mboxtester New Issue
2015-08-25 12:49 mboxtester Note Added: 0008856
2015-08-27 15:44 mboxtester Note Edited: 0008856 View Revisions
2016-02-04 10:42 ludovic Note Added: 0009441
2016-02-04 10:42 ludovic Status new => resolved
2016-02-04 10:42 ludovic Fixed in Version => 2.3.8
2016-02-04 10:42 ludovic Resolution open => fixed
2016-02-04 10:42 ludovic Assigned To => ludovic
2016-02-05 12:49 chicgeek Changeset attached => sogo v2 24d32ae2
2016-02-05 12:49 Changeset attached => sogo v2 8baf8731